<template>
  <div class="policy-info">
    <el-form ref="demoFormRef" :disabled="disabled" :model="fileIdList" class="dialog_form">
      <el-row :gutter="0">
        <el-col :span="20">
          <el-form-item label="附件:" label-width="100px" prop="appendix" style="width: 100%">
            <div style="display: flex;gap: 10px">
              <file-upload v-model="documentsInfoList"
                           :fileType="accept"
                           :isShowTip="false"/>
              <div v-if="documentsInfoList.length === 0" style="color: #a9afbc">支持上传PDF格式文件</div>
            </div>
          </el-form-item>
        </el-col>
      </el-row>
    </el-form>
  </div>
</template>

<script>

export default {
  props: {
    disabled: {
      required: true,
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      fileIdList: [],
      documentsInfoList: [],
      accept: ['pdf', 'docx', 'xlsx', 'jpg','jpeg'],
    };
  },
  watch: {
    // 监听 documentsInfoList 的变化，并更新 fileIdList
    documentsInfoList(newVal) {
      this.fileIdList = newVal.map(item => item.fileId);
    }
  },
  methods: {
    submit() {
      console.log("文件submit")
    },
    handleRemove(file) {
      if (file) {
        this.fileIdList = this.documentsInfoList.map(item => item.fileId);
        localStorage.setItem('fileIdList', JSON.stringify(file));
      }
    },
    handleAdd(file) {
      if (file && file.length > 0) {
        localStorage.setItem('fileIdList', JSON.stringify(file));
      }
    }
  },

  mounted() {
  }
};
</script>

<style lang="scss" scoped>
.item {
  width: 100%;
}

.documents-info-items {
  display: inline-block;
  width: 100%;
  height: 130px;
  border: 1px solid #dbdeea;
  background-color: #f3f7fc;

  .upload-files-items {
    margin-top: 10px;
    margin-left: 50px;
  }
}

.input-row {
  display: flex;
  width: 100%;

  .input-item {
    width: 100%;
  }
}

</style>
